com.r3corda.contracts / FloatingRate

# FloatingRate

`open class FloatingRate : Rate`

The parent class of the Floating rate classes.

### Constructors

<init> | `FloatingRate()` The parent class of the Floating rate classes.

### Inherited Properties

ratioUnit | `val ratioUnit: RatioUnit?`

### Inherited Functions

equals | `open fun equals(other: Any?): Boolean`
hashCode | `open fun hashCode(): Int`
toString | `open fun toString(): String`

### Inheritors

ReferenceRate | `class ReferenceRate : FloatingRate` So a reference rate is a rate that takes its value from a source at a given date e.g. LIBOR 6M as of 17 March 2016. Hence it requires a source (name) and a value date in the getAsOf(..) method.